import org.ho.yaml.Yaml;

import java.util.ArrayList;
import java.util.List;

public class YamlTest {

    public static void main(String[] args) {
        // Create a single object
        Person me = new Person();
        me.setName("jason");
        me.setEmail("jason@gmail.com");
        String yamlString = Yaml.dump(me);
        System.out.println(yamlString);

        // Create a list of objects
        Person another = new Person();
        another.setName("alice");
        another.setEmail("alice@gmail.com");
        List<Person> personList = new ArrayList<Person>(2);
        personList.add(me);
        personList.add(another);
        String yamlList = Yaml.dumpStream(personList.iterator());
        System.out.println(yamlList);

        // Read a single object
        Person obj = (Person) Yaml.load(yamlString);
        System.out.println("name: " + obj.getName());
        System.out.println("email: " + obj.getEmail());

        System.out.println();
        
        // Read a list of objects
        for (Object object : Yaml.loadStream(yamlList)) {
            Person p = (Person) object;
            System.out.println("name: " + p.getName());
            System.out.println("email: " + p.getEmail());
        }
    }
}
